Bug 194207 - Update from FC4 to FC5 removed *many* previously installed packages
Update from FC4 to FC5 removed *many* previously installed packages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 03:59 EDT by Kern Sibbald
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-25 21:19:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rpm -qa output from system upgraded (32.61 KB, text/plain)
2006-06-08 10:54 EDT, Kern Sibbald
no flags Details

  None (edit)
Description Kern Sibbald 2006-06-06 03:59:44 EDT
Description of problem:
I upgraded one of my systems using the FC-5-i386-DVD-Unity-20060523.iso and 
all seemed to go well. However, after a short time, I discovered that a *very* 
large number of packages that were previously installed no longer existed on 
the system.  This system started as an FC4 with all packages install (yes, a 
really big system). I updated it to the latest FC4 updates on the first of 
June, and the same day I then updated it using the above mentioned ISO.

Although I cannot tell exactly which packages are missing, some of them are:
nfs
many gnome-devel rpms
ntp
kde, which is what I was previously using
...


Version-Release number of selected component (if applicable):
Upgrade from current FC4 to FC5 unity DVD image.


How reproducible:

I haven't tested this.


Steps to Reproduce:
1. Load a *full* FC4 system with all packages and a few extras such as yumex.
2. Update the system to include the current updates.
3. Upgrade from FC4 to FC5.
  
Actual results:
A lot (at least 10 and possibly hundreds) of previously installed packages 
were removed.  Judging by the yumex list of packages that could be installed, 
there are several hundred missing (admittedly some may be new packages to 
FC5), but when packages like nfs, ntp, and kde are removed rather than 
upgraded, there is a big problem.


Expected results:
No packages would be removed and 99-100% of all packages would be upgraded.


Additional info:
The only rpms installed on this system were Fedora packages or packages from 
extras, with the possibility that one or two were my own packages built by me 
specifically for and on FC4.
Comment 1 Kern Sibbald 2006-06-08 10:54:34 EDT
Created attachment 130752 [details]
rpm -qa output from system upgraded 

Perhaps the FC4 to FC5 upgrade did not actually remove previously installed
packages, but it did not upgrade them as you can see from the attached listing
produced with "rpm -qa". If a package is not upgraded, many will fail because
the .so files no longer exist. 

This appears to be a bug with the particular DVD iso that I used because I have
not had this problem using the CD set.
Comment 2 Jeremy Katz 2006-06-19 17:58:25 EDT
Can you provide /var/log/anaconda* 
Comment 3 Kern Sibbald 2006-06-25 13:18:08 EDT
You can close this bug. It is not resolved. I've been using RedHat/Fedora 
since 1998 (RH 5.1 if I remember right).  I have never seen a buggier release 
than FC5 (not your fault) and now that I see that Fedora is pushing on for 
FC6, I give up!  I will be switching distros shortly so that I can once again 
get some work done without worrying about Fedora giving me bad updates as 
happened 3 or 4 times during FC4 and now in spades for FC5.  Good luck -- I 
think you (Fedora) will need it.

Note You need to log in before you can comment on or make changes to this bug.